// CommonCommandsView.h : interface of the CCommonCommandsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMMONCOMMANDSVIEW_H__22E97F9A_4706_431C_B2E3_9D3B273937E6__INCLUDED_)
#define AFX_COMMONCOMMANDSVIEW_H__22E97F9A_4706_431C_B2E3_9D3B273937E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HtmlView2.h"


class CCommonCommandsView : public CHtmlView2
{
protected: // create from serialization only
	CCommonCommandsView();
	DECLARE_DYNCREATE(CCommonCommandsView)

// Attributes
public:
	CCommonCommandsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCommonCommandsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCommonCommandsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCommonCommandsView)
	afx_msg void OnCmdFind();
	afx_msg void OnCmdViewSource();
	afx_msg void OnCmdInternetOptions();
	afx_msg void OnCmdGetSelection();
	afx_msg void OnCmdQueryOffline();
	afx_msg void OnCmdAddToFavorites();
	afx_msg void OnCmdOrganizeFavorites();
	afx_msg void OnCmdCreateShortcut();
	afx_msg void OnEditCopy();
	afx_msg void OnEditCut();
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditSelectAll();
	afx_msg void OnCmdProperties();
	afx_msg void OnCmdFontSizeSmallest();
	afx_msg void OnCmdFontSizeSmall();
	afx_msg void OnCmdFontSizeMedium();
	afx_msg void OnCmdFontSizeLarge();
	afx_msg void OnCmdFontSizeLargest();
	afx_msg void OnUpdateCmdFontSizeSmallest(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCmdFontSizeSmall(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCmdFontSizeMedium(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCmdFontSizeLarge(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCmdFontSizeLargest(CCmdUI* pCmdUI);
	afx_msg void OnCmdWorkOffline();
	afx_msg void OnUpdateCmdWorkOffline(CCmdUI* pCmdUI);
	afx_msg void OnCmdSaveAs();
	afx_msg void OnCmdSetAsDesktopItem();
	afx_msg void OnCmdStartBrowser();
	afx_msg void OnCmdGetActiveElement();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CommonCommandsView.cpp
inline CCommonCommandsDoc* CCommonCommandsView::GetDocument()
   { return (CCommonCommandsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMONCOMMANDSVIEW_H__22E97F9A_4706_431C_B2E3_9D3B273937E6__INCLUDED_)
